Bug 1219415 - scribus included non-free data and missing license tag.
Summary: scribus included non-free data and missing license tag.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scribus
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2015-05-07 09:50 UTC by mejiko
Modified: 2015-06-06 00:00 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-06 00:00:31 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 410079 None None None Never
Debian BTS 533081 None None None Never

Description mejiko 2015-05-07 09:50:18 UTC
Hello.

Scribus included non-free data and Missing license tag.

I check README documents.


FileList:

/usr/share/scribus/dicts/hyph_af.dic
/usr/share/scribus/dicts/hyph_bg.dic
/usr/share/scribus/dicts/hyph_ca.dic
/usr/share/scribus/dicts/hyph_cs.dic
/usr/share/scribus/dicts/hyph_da.dic
/usr/share/scribus/dicts/hyph_de.dic
/usr/share/scribus/dicts/hyph_de_1901.dic
/usr/share/scribus/dicts/hyph_de_CH.dic
/usr/share/scribus/dicts/hyph_el.dic
/usr/share/scribus/dicts/hyph_en.dic
/usr/share/scribus/dicts/hyph_es.dic
/usr/share/scribus/dicts/hyph_fi.dic
/usr/share/scribus/dicts/hyph_fr.dic
/usr/share/scribus/dicts/hyph_gl.dic
/usr/share/scribus/dicts/hyph_hr.dic
/usr/share/scribus/dicts/hyph_hu.dic
/usr/share/scribus/dicts/hyph_ia.dic
/usr/share/scribus/dicts/hyph_id.dic
/usr/share/scribus/dicts/hyph_is.dic
/usr/share/scribus/dicts/hyph_it.dic
/usr/share/scribus/dicts/hyph_ku.dic
/usr/share/scribus/dicts/hyph_lt.dic
/usr/share/scribus/dicts/hyph_nb_NO.dic
/usr/share/scribus/dicts/hyph_nl.dic
/usr/share/scribus/dicts/hyph_nn_NO.dic
/usr/share/scribus/dicts/hyph_pl.dic
/usr/share/scribus/dicts/hyph_pt.dic
/usr/share/scribus/dicts/hyph_pt_BR.dic
/usr/share/scribus/dicts/hyph_ro.dic
/usr/share/scribus/dicts/hyph_ru.dic
/usr/share/scribus/dicts/hyph_sk.dic
/usr/share/scribus/dicts/hyph_sl.dic
/usr/share/scribus/dicts/hyph_sv.dic
/usr/share/scribus/dicts/hyph_uk.dic


Data License status:

Format:

・<LANG(part of README filename)>

<LICENSE>


example:

・ja_JP (File name is: README_ja_JP.txt)

GPL (License)



OK (Fedora Acceptable):

・ca_ES 

GPL


・cs_CZ

GPL (Original: GPL)


・cy_GB

GPL and BSD-like


・de_1901

LGPL


・de_DE

LGPL (Original: LPPL)


・en_EN

BSD 


・en_GB

LGPL


・es_ES

GPL


・hu_HU

GPL


・de_CH

LGPL (Original: LPPL) 


・de_DE

LGPL (Original: LPPL) 


・nb_NO

GPL


・nn_NO

GPL


・pl_PL

LGPL


・ro_RO

GPL


・id_ID

GPL


・ku

GPL or LGPL


・lt_LT

BSD


・pt_BR

BSD


・pt_PT

BSD 


・ru_RU

BSD (I downloaded tarball, and checked LICENSE file) 


・sk_SK

GPL


・sl_SI

GPL


・uk_UA

LGPL v2.1




NON-FREE/UNCLEAR/UNKNOWN:

・fi_FI

Reason: Allow to Distribute, but do not allow modify.


・da_DK

Reason: LPPL is not compliant. (Based on LPPL'ed contents)


・is_IS

Reason: LPPL is not compliant. (Based on LPPL'ed contents)


・ia

Reason: UNKNOWN


・sv_SE

Reason: UNKNOWN


This bug is already reported (Debian and Upstream).

http://bugs.scribus.net/view.php?id=5322
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=410079


And, This bug is affected other Packages:


Package List:

hyphen-is
hyphen-da

There packages is not LPPL compliant.
I will be open this bug.


Suggests:

1. Remove non-free data, Compliant LPPL and add license tag.

2. contact original data author.

3. Use Fedora included "hyphen-*" packages, Compliant LPPL, and remove non-needed data.

4. Remove Fedora repos.


Thanks.


Reference:

https://www.tug.org/tex-hyphen/
http://latex-project.org/lppl/lppl-1-3c.html
https://bz.apache.org/ooo/show_bug.cgi?id=74283
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533081
https://bugzilla.redhat.com/show_bug.cgi?id=506074
http://bugs.scribus.net/view.php?id=8232

Comment 1 mejiko 2015-05-07 09:51:30 UTC
Blocking FE-Legal, This is license problem.

Comment 2 mejiko 2015-05-07 09:57:23 UTC
I open bug for hyphen-is and hyphen-da.

https://bugzilla.redhat.com/show_bug.cgi?id=1219418

https://bugzilla.redhat.com/show_bug.cgi?id=1219418

Thanks

Comment 3 mejiko 2015-05-07 09:58:54 UTC
Sorry, I'm mistake.

https://bugzilla.redhat.com/show_bug.cgi?id=1219419

Comment 4 Fedora Update System 2015-05-07 22:40:46 UTC
scribus-1.4.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/scribus-1.4.5-1.fc22

Comment 5 Fedora Update System 2015-05-10 23:35:26 UTC
Package scribus-1.4.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scribus-1.4.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7865/scribus-1.4.5-1.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-06-06 00:00:31 UTC
scribus-1.4.5-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.